[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [K12OSN] Flash sound gone?



On 8/10/2011 5:49 AM, Jeff Siddall wrote:
My 64 bit SL6 LTSP system had working Flash for a while. I think it was
32 bit Flash 10 with a wrapper running in 64 bit Firefox. Anyway, for
whatever reason sound suddenly stopped working. So I tried upgrading to
the version 11 64 bit native flash player from Adobe. Again, video works
fine but still no audio -- either on the server console or the thin client.

PulseAudio seems fine, as paplay works on both the server and the
client. However, aplay returns:

ALSA lib pcm_dmix.c:1018:(snd_pcm_dmix_open) unable to open slave
aplay: main:660: audio open error: Device or resource busy

so if flash is trying to use alsa that might be the problem. I have the
following alsa stuff installed:

rpm -qa | grep alsa
alsa-utils-1.0.24.2-24.el6.x86_64
alsa-oss-1.0.17-4.el6.x86_64
alsa-lib-1.0.24.1-35.el6.x86_64
alsa-oss-libs-1.0.17-4.el6.x86_64
alsa-plugins-pulseaudio-1.0.21-3.el6.x86_64

and I don't have any asoundrc files anywhere.

Never experienced any problems here. I recommend NOT using 32bit flash-plugin on a 64bit server because it pulls in a huge 32bit library stack. I now recommend uninstalling nspluginwrapper completely because Firefox now has its own out-of-process plugin-container that protects the browser from plugin crashes. Flash itself seems to crash less often when run outside of nspluginwrapper.

[warren rush ~]$ rpm -qa 'alsa*'
alsa-plugins-pulseaudio-1.0.21-3.el6.x86_64
alsa-utils-1.0.21-3.el6.x86_64
alsa-lib-1.0.21-3.el6.x86_64
[warren rush ~]$ rpm -q nspluginwrapper
package nspluginwrapper is not installed
[warren rush ~]$ rpm -q firefox
firefox-3.6.18-1.el6_1.x86_64
[warren rush ~]$ ls -l /usr/lib64/mozilla/plugins/libflashplayer.so
-rwxr-xr-x. 1 root root 18708232 Aug 10 13:46 /usr/lib64/mozilla/plugins/libflashplayer.so [warren rush ~]$ strings /usr/lib64/mozilla/plugins/libflashplayer.so |grep "Shockwave Flash 11"
Shockwave Flash 11.0 d1

http://labs.adobe.com/technologies/flashplatformruntimes/flashplayer11/
Download the 64bit version here (updated a few days ago), put libflashplayer.so in /usr/lib64/mozilla/plugins. I suspect you need to make it chmod 755.

Warren


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]